%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define	rname	network-manager-applet

%define major_gir	1.0

%define major_gtk	0
%define libnm_gtk	%mklibname nm-gtk %{major_gtk}
%define libnm_gtk_gir	%mklibname nmgtk-gir %{major_gir}
%define libnm_gtk_devel	%mklibname -d nm-gtk

%define major_nma	0
%define libnma		%mklibname nma %{major_nma}
%define libnma_gir	%mklibname nma-gir %{major_gir}
%define libnma_devel	%mklibname -d nma

%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:		networkmanager-applet
Summary:	Network connection manager system tray applet
Version:	1.8.2
Release:	%mkrel 1
Group:		System/Networking
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source0:	https://download.gnome.org/sources/%{rname}/%{url_ver}/%{rname}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	libiw-devel
BuildRequires:	pkgconfig(gnome-bluetooth-1.0) >= 2.27.6
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.92
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.4
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gudev-1.0) >= 147
BuildRequires:	pkgconfig(dbus-1) >= 1.2.6
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(NetworkManager) >= %{nmversion}
BuildRequires:	pkgconfig(libnm-glib) >= %{nmversion}
BuildRequires:	pkgconfig(libnm-util) >= %{nmversion}
BuildRequires:	pkgconfig(libnm-glib-vpn) >= %{nmversion}
BuildRequires:	pkgconfig(mm-glib)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(libselinux)
Requires:	networkmanager

%description
Network-manager-applet is a system tray applet which lets you easily
connect to different networks. It is created for any desktop environments which
provide a system tray like KDE or XFCE. It displays the available networks and
allows to easily switch between them. For encrypted networks it will prompt the
user for the key/passphrase and it can optionally store them.

%package -n	%{libnm_gtk}
Summary:	Shared library for nm-gtk
Group:		System/Libraries
Requires:	mobile-broadband-provider-info

%description -n	%{libnm_gtk}
This private package contains the libraries that make it easier to use
wireless and mobile dialogs.

%package -n	%{libnm_gtk_gir}
Summary:	GObject Introspection interface description for NMGtk
Group:		System/Libraries
Requires:	%{libnma} = %{version}-%{release}
Conflicts:	%{_lib}nm-gtk0 < 1.4.2-2

%description -n %{libnm_gtk_gir}
GObject Introspection interface description for NMGtk.

%package -n	%{libnm_gtk_devel}
Summary:	Development files for nm-gtk
Group:		Development/C
Provides:	libnm-gtk-devel = %{version}-%{release}
Requires:	%{libnm_gtk} = %{version}-%{release}
Requires:	%{libnm_gtk_gir} = %{version}-%{release}

%description -n %{libnm_gtk_devel}
Development files for nm-gtk.

%package -n	%{libnma}
Summary:	Shared library for nma
Group:		System/Libraries
Requires:	mobile-broadband-provider-info

%description -n	%{libnma}
This private package contains the libnma libraries.

%package -n	%{libnma_gir}
Summary:	GObject Introspection interface description for NMA
Group:		System/Libraries
Requires:	%{libnma} = %{version}-%{release}
Conflicts:	%{_lib}nma0 < 1.4.2-2

%description -n %{libnma_gir}
GObject Introspection interface description for NMA.

%package -n	%{libnma_devel}
Summary:	Development files for nma
Group:		Development/C
Provides:	libnma-devel = %{version}-%{release}
Requires:	%{libnma} = %{version}-%{release}
Requires:	%{libnma_gir} = %{version}-%{release}

%description -n %{libnma_devel}
Development files for nma.

%prep
%setup -q -n %{rname}-%{version}
%autopatch -p1

%build
%configure2_5x	--disable-static --disable-more-warnings
%make_build

%install
%make_install

# Remove .la files
find %buildroot -name '*.la' -delete
%find_lang nm-applet


%files -f nm-applet.lang
%doc ChangeLog CONTRIBUTING
%{_bindir}/nm-connection-editor
%{_bindir}/nm-applet
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/applications/nm-applet.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*
%{_datadir}/appdata/nm-connection-editor.appdata.xml

%files -n %{libnm_gtk_gir}
%{_libdir}/girepository-1.0/NMGtk-%{major_gir}.typelib

%files -n %{libnm_gtk}
%{_libdir}/libnm-gtk.so.%{major_gtk}{,.*}

%files -n %{libnm_gtk_devel}
%{_includedir}/libnm-gtk/nm-*.h
%{_libdir}/pkgconfig/libnm-gtk.pc
%{_libdir}/libnm-gtk.so
%{_datadir}/gir-1.0/NMGtk-1.0.gir

%files -n %{libnma_gir}
%{_libdir}/girepository-1.0/NMA-%{major_gir}.typelib

%files -n %{libnma}
%{_libdir}/libnma.so.%{major_nma}{,.*}

%files -n %{libnma_devel}
%doc %{_datadir}/gtk-doc/html/libnma/
%{_includedir}/libnma/nma-*.h
%{_libdir}/pkgconfig/libnma.pc
%{_libdir}/libnma.so
%{_datadir}/gir-1.0/NMA-1.0.gir


%changelog
* Sat Jun 17 2017 ovitters <ovitters> 1.8.2-1.mga6
+ Revision: 1107842
- new version 1.8.2

* Fri May 26 2017 akien <akien> 1.8.0-2.mga6
+ Revision: 1104766
- Rebuild for arm

* Fri May 26 2017 ovitters <ovitters> 1.8.0-1.mga6
+ Revision: 1104732
- new version 1.8.0

* Sat Mar 11 2017 ovitters <ovitters> 1.4.6-1.mga6
+ Revision: 1091830
- new version 1.4.6

* Sun Feb 19 2017 wally <wally> 1.4.4-3.mga6
+ Revision: 1086879
- move mobile-broadband-provider-info requires from networkmanager into libs really requiring it

* Sun Jan 29 2017 ovitters <ovitters> 1.4.4-2.mga6
+ Revision: 1084095
- rebuild for new networkmanager (enables some new things)

* Wed Jan 25 2017 ovitters <ovitters> 1.4.4-1.mga6
+ Revision: 1083450
- new version 1.4.4

* Fri Sep 30 2016 wally <wally> 1.4.2-2.mga6
+ Revision: 1057918
- split out gir typelibs

* Fri Sep 30 2016 ovitters <ovitters> 1.4.2-1.mga6
+ Revision: 1057873
- new version 1.4.2

* Fri Aug 26 2016 ovitters <ovitters> 1.4.0-1.mga6
+ Revision: 1049083
- new version 1.4.0

* Wed Aug 03 2016 ovitters <ovitters> 1.2.4-1.mga6
+ Revision: 1044406
- new version 1.2.4

* Wed May 11 2016 ovitters <ovitters> 1.2.2-1.mga6
+ Revision: 1012930
- new version 1.2.2

* Wed Apr 20 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 1003831
- new version 1.2.0

* Tue Apr 05 2016 ovitters <ovitters> 1.1.93-1.mga6
+ Revision: 998802
- new version 1.1.93

* Tue Mar 29 2016 ovitters <ovitters> 1.1.92-1.mga6
+ Revision: 996340
- new version 1.1.92
- update description

* Tue Mar 01 2016 ovitters <ovitters> 1.1.91-1.mga6
+ Revision: 981548
- new version 1.1.91

* Thu Feb 11 2016 ovitters <ovitters> 1.1.90-1.mga6
+ Revision: 955842
- new version 1.1.90

* Wed Dec 23 2015 ovitters <ovitters> 1.0.10-1.mga6
+ Revision: 913797
- new version 1.0.10

* Fri Nov 20 2015 ovitters <ovitters> 1.0.8-1.mga6
+ Revision: 904522
- new version 1.0.8

* Thu Aug 27 2015 ovitters <ovitters> 1.0.6-1.mga6
+ Revision: 870259
- new version 1.0.6

* Tue Jul 14 2015 ovitters <ovitters> 1.0.4-1.mga6
+ Revision: 854037
- new version 1.0.4

* Mon May 11 2015 tmb <tmb> 1.0.2-2.mga5
+ Revision: 821740
- submit to release

* Thu May 07 2015 shlomif <shlomif> 1.0.2-1.mga5
+ Revision: 821401
- New version 1.0.2 (MGA#15682)

* Thu Feb 05 2015 ovitters <ovitters> 1.0.0-1.mga5
+ Revision: 813578
- new version 1.0.0

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10.0-5.mga5
+ Revision: 745519
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.9.10.0-4.mga5
+ Revision: 724949
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.9.10.0-3.mga5
+ Revision: 682867
- Mageia 5 Mass Rebuild

* Fri Jul 04 2014 ovitters <ovitters> 0.9.10.0-2.mga5
+ Revision: 643118
- update url

* Fri Jul 04 2014 ovitters <ovitters> 0.9.10.0-1.mga5
+ Revision: 643112
- new version 0.9.10.0

* Thu Apr 24 2014 ovitters <ovitters> 0.9.8.10-1.mga5
+ Revision: 617611
- new version 0.9.8.10

* Wed Apr 02 2014 ovitters <ovitters> 0.9.8.9-1.mga5
+ Revision: 611411
- new version 0.9.8.9

* Mon Nov 18 2013 tmb <tmb> 0.9.8.8-1.mga4
+ Revision: 551794
- 0.9.8.8:
  * nm-applet is now started under GNOME 3 again (but never acts as a
    "secret agent" under GNOME Shell). This fixes the lack of password
    dialogs in some GNOME-3-based sessions (#709410), and fixes the lack
    of a mobile broadband PIN unlock dialog under GNOME Shell.
  * Updated translations
  * Fixed a warning when closing the VPN import/export dialogs
  * Made nm-applet use g_debug(); set G_MESSAGES_DEBUG=nm-applet to see
    logging now

* Sat Oct 19 2013 umeabot <umeabot> 0.9.8.4-2.mga4
+ Revision: 534673
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 ovitters <ovitters> 0.9.8.4-1.mga4
+ Revision: 478590
- new version 0.9.8.4

* Tue Jul 30 2013 dams <dams> 0.9.8.2-2.mga4
+ Revision: 460811
- rebuild for new 'gnome-bluetooth'

* Thu Jun 13 2013 ovitters <ovitters> 0.9.8.2-1.mga4
+ Revision: 442558
- new version 0.9.8.2

* Sat Feb 23 2013 tmb <tmb> 0.9.8.0-1.mga3
+ Revision: 400145
- fix BR on gobject-introspection
- BR gobject-introspection
- update filelists

  + ovitters <ovitters>
    - new version 0.9.8.0
    - new version 0.9.7.997

* Tue Jan 22 2013 fwang <fwang> 0.9.6.4-3.mga3
+ Revision: 390929
- update rpm group

  + ovitters <ovitters>
    - new version 0.9.7.995

* Sun Jan 13 2013 luigiwalser <luigiwalser> 0.9.6.4-2.mga3
+ Revision: 363919
- fix for changed _libexecdir

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 fwang <fwang> 0.9.6.4-1.mga3
+ Revision: 311403
- update file list

  + ovitters <ovitters>
    - new version 0.9.6.4

* Sat Aug 18 2012 kamil <kamil> 0.9.6.2-2.mga3
+ Revision: 281970
- rebuild against new libgnome-bluetooth.so lib

* Thu Aug 09 2012 ovitters <ovitters> 0.9.6.2-1.mga3
+ Revision: 280162
- new version 0.9.6.2
- new version 0.9.6.0

* Tue Jul 24 2012 ovitters <ovitters> 0.9.5.96-1.mga3
+ Revision: 274056
- new version 0.9.5.96
- drop merged patch
- new version 0.9.5.95

* Sat Mar 24 2012 ovitters <ovitters> 0.9.4.1-1.mga2
+ Revision: 226069
- drop merged patch0
- add upstream string format patch
- new version 0.9.4.1
- new version 0.9.4.0

* Mon Mar 19 2012 ovitters <ovitters> 0.9.3.997-1.mga2
+ Revision: 224394
- new version 0.9.3.997
- clean spec

* Fri Feb 17 2012 fwang <fwang> 0.9.3.990-1.mga2
+ Revision: 209997
- new version 0.9.3.990

* Thu Jan 19 2012 fwang <fwang> 0.9.2.0-3.mga2
+ Revision: 198060
- autoreconf is not needed
- rebuild for new gnome-bluetooth

* Tue Nov 22 2011 fwang <fwang> 0.9.2.0-2.mga2
+ Revision: 170814
- rebuild for new gnome-bluetooth

* Sat Nov 12 2011 fwang <fwang> 0.9.2.0-1.mga2
+ Revision: 166895
- disable warnings
- new version 0.9.2.0

* Wed Sep 28 2011 ovitters <ovitters> 0.9.1.90-1.mga2
+ Revision: 149979
- add new BR
- drop BR glade (not needed anymore
- new version 0.9.1.90

  + mikala <mikala>
    - Update tarball to final 0.9.0
    - use xz tarball from upstream

* Tue Jun 14 2011 mikala <mikala> 0.8.9997-1.mga2
+ Revision: 106220
- Update tarball to 0.8.9997
- Fix file list
- Add gtk+3.0-devel as BR

* Thu Apr 21 2011 mikala <mikala> 0.8.4-1.mga1
+ Revision: 89445
- Update tarball 0.8.4

* Thu Apr 14 2011 mikala <mikala> 0.8.3.999-1.mga1
+ Revision: 85246
- Update tarball to 0.8.4 rc2
- Fix files list

* Tue Mar 29 2011 mikala <mikala> 0.8.2-1.mga1
+ Revision: 78847
- imported package networkmanager-applet

